movie-to-dvd(1)

NAME
movie-to-dvd - Convert a movie into a DVD compatible format

SYNOPSIS

movie-to-dvd [-r resolution] [-d display] [-f method] [-a aspect] [-A src_aspect] [-m mode] [-c audio_codec] [-q quality] [-Q bitrate] [-o output_dir] [-M] [-b] [-O options] movie [movie ...]

DESCRIPTION
This program takes one or more movie files in any format that mplayer understands and converts them into a DVD compatible format. This program automatically scales the movies so that they will appear full-screen when viewed on a television set in combination with a standalone DVD player. Normally, the program produces two files for each input file, one for video and one for audio, but there is an option to make the program produce finished (multiplexed) VOB files for you. The program takes care of framerate changes and audio adjustment.

Nearly everything is done automatically: the program can determine the value of all the needed parameters automatically, except for the destination video type, which is either NTSC or PAL. Therefore, the only option that you usually specify is the -m option.

OPTIONS
The following options are available:

-r resolution
    Specify the DVD resolution. Possibilities are:
    PAL: 720x576, 704x576, 352x576 and 352x288
    NTSC: 720x480, 704x480, 352x480 and 352x240

    You may specify auto (which is the default for this option) for automatic selection. If you leave out this option or specify the value auto, you must supply a -m option to tell the system whether you want PAL or NTSC. If you specify a value other than auto, you may leave out the -m option, as the system will infer which mode you want automatically.

    The value that you specify may not conflict with a specific mode that you might set using the -m option; for example, you cannot specify -r 720x576 and then later specify -m ntsc.

-d display
    Specify how the video is to be fitted into the available screen size, either letterbox (which is the default for this option), which loses no information but may introduce black borders on either the top and the bottom or the left and the right sides of the screen, or panscan, which fills the entire screen but possibly chops off edges of the video image.

-f method
    Specify how to change the movie to adjust its framerate if necessary. You may specify either auto, video, audio.

    video will duplicate or drop frames to adjust the framerate (which will make the movie jerky in some situations), and will keep the audio as it is.

    audio will adjust the pitch of the audio track so that it runs synchronized with the movie if the movie would be played slightly faster or slower than normal because it's new framerate is different from the original.

    auto will make the choice for you. The choice that is made depends on the source video and the destination parameters that you are encoding to.

-a aspect
    Specify either 16:9 (widescreen), 4:3 (traditional TV set) or auto (which is the default for this option), which chooses the correct value from the source video automatically.

-A src_aspect
    Specify the aspect ratio of the source if it is not encoded correctly in the source. The format is X:Y, for example 4:3 or 41:18. The numbers used may be floating point, so that you may also use aspect ratios like 1.25:1 or 1.77:1. Or you may specify auto (default) for automatic detection from the source.

-m mode
    Specify either pal (European and other non-US regions), ntsc (United States) or auto (which is the default for this option). auto is only allowed if you specify a specific resolution using the -r option, otherwise the system will not be able to infer which mode you want.

    The value that you specify may not conflict with a specific resolution that you might set using the -r option; for example, you cannot specify -r 720x576 and then later specify -m ntsc.

-c audio_codec
    Specify either mp2 (two channel audio, supported by PAL DVD players), ac3 (Dolby Digital sound, supported by all DVD players) or auto (which is the default for this option and currently always chooses ac3).

    According to the DVD standard, NTSC DVD players are required to support AC3, but not MP2. PAL DVD players are required to support MP2 and AC3.

-q quality
    Select either low, normal (which is the default for this option) high or a numeric bitrate (in kilobits per second).

    low encodes the video using a maximum bitrate of 3500 kilobits per second, normal uses a maximum of 6000 kilobits per second and high uses a maximum of 8000 kilobits per second. Specifying a number uses that number as the maximum bitrate in kilobits per second.

-Q bitrate
    Select either auto (which is the default for this option) or a numeric bitrate (in kilobits per second).

    auto automatically chooses an appropriate bitrate for the audio output, depending on the audio output format and the number of channels. You may also specify a numeric bitrate in kilobits per second, such as 224, 384 or 448. If you choose to override the audio bitrate, you should probably combine this option with the -c option to override the audio output format as well, to avoid unexpected results.

-o output_dir
    Writes the results of the conversion into the specified directory instead of in the same directory as where the sources are located. If you use this option and the sources include directory names, those directories will be removed from the source name before using the name to determine what to call the result in the output directory.

-M  Multiplex the output audio and video together, which means that each source file will be converted into a DVD-compatible .vob file. If you do not specify this, a .m2v (which contains the video part) and a .mp2 (for stereo audio) or .ac3 (for AC3 surround audio) file will be generated for each input movie.

    The program movie-title(1) (which is used to create DVDs with menus) can use both the .vob and the .m2v format, although the default (two generated files per source) is faster because less disk I/O is involved.

-b  This tells mplayer that any AVI headers that are encountered are broken and that they should be ignored when determining the audio-video sync delay. This activates mplayer's -nobps option (see mplayer's manual for details).

-O options
    You may specify any options for mplayer that are needed to decode the movie(s) that you are converting correctly. You normally don't need to use this option unless the source movie is broken in some respect. Be sure to quote the options correctly so that they will appear as one string to this option. Type the options as you would normally do to play the movie correctly on an mplayer command line.

DIAGNOSTICS
If this program is called with a incorrect set of parameters, it will print a diagnostic message telling the user what went wrong. Also, it will then print its usage information, listing all the options and their meanings.

If the program tells you "ERROR: Cannot find video size for file", this means that mplayer was unable to read the file or the file is stored in a format that it does not understand. In this case, movie-to-dvd will not be able to transcode the movie file for you.

For each source file, the following information is printed:
    * Source size: widthxheight
    * Source crop area: widthxheight
    * Destination size: widthxheight
    * Final screen size: widthxheight
    * Destination aspect: width:height

This small table shows you what will be done to the source file to get to the destination. The source size is the frame size of the original video source. The source crop area is the size of the frame that will be cut out of the original frame (usually the same size as the source, except when panscan mode is used instead of letterbox mode). The destination size is the size of the zoomed/shrunk image that calculated from the image that was cut out of the original source image. The final screen size is the size of the MPEG-2 frame that will be created (that is, the destination size including any black borders). The destination aspect is the aspect ratio of the destination video, which is either 4:3 (traditional TV set) or 16:9 (widescreen).

While encoding the movie for you, the program will display its progress: it will tell you how much of the movie it has already encoded (a percentage) and it will tell you how long it will probably take to finish the encode (this is, of course, an estimate).

EXAMPLE

The command line that I use most often is:

    movie-to-dvd -m pal input_file.avi

This command line simply takes the input file (in AVI format in this case) and converts it into two files, input_file.mp2 (if the source has stereo audio) or input_file.ac3 (for surround sound) and input_file.m2v. All the necessary conversions will be automatically done, such as framerate adjustment, audio adjustment, frame size, etcetera.

Later, I usually combine two or more of these movies into one DVD with a nice selection menu using movie-title, usually in combination with movie-make-title.

SEE ALSO
videotrans(1), movie-title(1), movie-make-title(1), movie-make-title-simple(1), movie-compare-dvd(1), movie-rip-epg.data(1)

AUTHOR
The author is Sven Berkvens-Matthijsse (sven@berkvens.net). Please send any project related e-mail to videotrans@berkvens.net.

SHORTCOMINGS
Currently, the program does not handle subtitles at all. That is to say, it does not support real subtitles that can be turned on and off in the DVD version of the movie. If a subtitle file is present in the directory where your input movie exists, and mplayer shows these subtitles when you play the movie on your computer's display, then the subtitles will be rendered into the DVD version as well, but you will not be able to turn them on or off. They will then be a fixed part of the image.

Perhaps a future version of Videotrans will support proper subtitling.

BUGS
None known. Please report any bugs to videotrans@berkvens.net!